package com.css.simulation.resource.common.acl.entity;

import com.fasterxml.jackson.annotation.JsonAlias;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class AlgorithmExpandAclEntity {
    @JsonAlias({"id"})
    private String id = "默认空值";
    @JsonAlias({"algorithmId"})
    private String algorithmId = "默认空值";
    @JsonAlias({"algorithmName"})
    private String algorithmName = "默认空值";
    @JsonAlias({"description"})
    private String description = "默认空值";
    @JsonAlias({"algorithmType"})
    private String algorithmType = "默认空值";
    @JsonAlias({"algorithmVersion", "evaluationName"})
    private String algorithmVersion = "默认空值";
    @JsonAlias({"team", "teamName"})
    private String team = "默认空值";
    @JsonAlias({"topic", "match"})
    private String topic = "默认空值";
}
